Page MenuHomePhabricator

Turn on ORES good faith test model in production for all supported wikis targeted for RC Page release
Closed, ResolvedPublic

Description

The ORES good faith model is supported for the following wikis, which are all scheduled to get the RC Page improvements in early rounds of release. My understanding is that I can start looking at results in production if we configure the wikis to turn ORES on. Doing this sooner rather than later will be useful in a number of ways, so I'd like to prioritize this.

I don't believe there is any impact to users, since I'm not aware of any implementation that displays the good faith test. @Halfak, is there any user or other impact we need to manage?

  • Portuguese Wikipedia
  • Persian Wikipedia
  • Dutch Wikipedia
  • Polish Wikipedia
  • Russian Wikipedia
  • Turkish Wikipedia
  • Wikidata
  • Czech Wikipedia (added recently)
  • English Wikipedia

Event Timeline

Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptFeb 17 2017, 7:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
jmatazzoni reopened this task as Open.Feb 22 2017, 9:20 PM
jmatazzoni closed this task as Declined.

@Catrope, @Mattflaschen-WMF, @SBisson, this is something I'd like to be working with soonest. Please have a look. If you can turn it on for just a couple of wikis, I'd say have a look at polish and english. Thanks.

jmatazzoni reopened this task as Open.Feb 24 2017, 12:58 AM
Catrope closed this task as Resolved.Feb 24 2017, 1:02 AM
Catrope claimed this task.

It so happens Matt and I did this today: https://gerrit.wikimedia.org/r/#/c/339472/

To clarify: we have not backfilled goodfaith scores for edits made before today, but we don't think that's necessary, because by the time we deploy anything that exposes these scores, pre-today edits will be close to falling off the 30-day RC cliff anyway.